Skip to main content
GET
/
v1
/
perps
/
twap
/
orders
/
running
Get Running TWAP Orders
curl --request GET \
  --url https://api.ondoperps.xyz/v1/perps/twap/orders/running \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "result": [
    {
      "twapId": "twap_70a37d8f972f2494837f9dba8364cbb4",
      "market": "AAPL-USD.P",
      "side": "buy",
      "startTime": "2025-03-05T14:00:00Z",
      "runningTime": 3600,
      "frequency": 60,
      "avgFilledPrice": "227.42",
      "filledSize": "10.00",
      "totalSize": "20.00",
      "totalFees": "1.14",
      "orderStatus": "running",
      "reduceOnly": false,
      "successfulOrders": 30,
      "failedOrders": 0
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

market
string

Filter by market

Example:

"AAPL-USD.P"

Response

Array of running TWAP orders

success
boolean
required

Whether the request was successful

Example:

true

error
string

Error message, present only on failure

Example:

""

error_code
string

Semantic error code. See each endpoint's error responses for the specific codes it can return.

deprecated
string

Deprecation notice, if applicable

Example:

""

result
object[]